#pragma once

#include "libs/sokol_app.h"
#include "libs/handmademath.h"

bool is_key_down(sapp_keycode k);
bool is_key_pressed(sapp_keycode k);

void set_key_state(sapp_keycode k, bool is_down);

HMM_Vec2 mouse_pos(void);
HMM_Vec2 mouse_delta(void);

void set_mouse_pos_and_delta(float x, float y, float dx, float dy);
